Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0033715
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 09. Financial managementminoralways2016-08-10 09:332016-08-29 15:30
ReportermalsasuaView Statuspublic 
Assigned Tononofrancisco 
PriorityimmediateResolutionfixedFixed in Version3.0PR16Q2.3
StatusclosedFix in branchFixed in SCM revision7733df065bf1
ProjectionnoneETAnoneTarget Version3.0PR16Q2.3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2016-01-13
Regression introduced in release3.0PR16Q2
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/27ef13611fff [^]
Triggers an Emergency PackNo
Summary

0033715: when adding a payment in match statement, the actual payment is 0, and it should be the transaction amount

Descriptionwhen a new payment is created, from match statement process, in the payment form, the actual payment is 0 and it should be the transaction amount
Steps To Reproducein f&b
. go to financial account: Bank - Account 1
 . tab: imported bank statement
   . new record
     new bank statement line
         BP: Be Soft Drinker, Inc.
         Amount out: 100
    . process bank statement
 . click in match statement process: previous bank statement line is displayed
   . click in "add new transaction" -> add new transaction form is displayed
   . click in "add new payment" -> add payment form is displayed:
     the "actual payment" field should be 100 but it is 0
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0033666 closednonofrancisco when adding a payment in match statement, the actual payment is 0, and it should be the transaction amount 

-  Notes
(0089512)
hgbot (developer)
2016-08-29 15:29

Repository: erp/backports/3.0PR16Q2.3
Changeset: 7733df065bf1a20d515216724c6cbf0f011874ec
Author: Nono Carballo <nonofce <at> gmail.com>
Date: Tue Aug 16 14:44:35 2016 -0400
URL: http://code.openbravo.com/erp/backports/3.0PR16Q2.3/rev/7733df065bf1a20d515216724c6cbf0f011874ec [^]

Fixes issue 33715: Zero amount instead of withdrawal amount in Add Payment

When creating a payment out with Add Payment process in Financial Account window (from Transaction tab or Match Statement | Add Transaction process), actual payment will be loaded with withdrawal amount.
If transaction withdrawal amount is different than 0, actual payment will be loaded with withdrawal amount but will not be distributed into order/invoices in the grid. If total amount is lower than withdrawal amount, actual payment will not be updated with total amount and we will be able to leave the difference between withdrawal amount and total amount as credit. If total amount is higher than withdrawal amount, actual payment will be updated with total amount and we will be able to pay more amount than withdrawal amount.
If transaction withdrawal amount is 0, actual payment will always be updated with total amount and it will not be possible to generate credit in this payment.

We have reverted changes done in ob-aprm-addPayment.js for issues 33465 and 31392, and we will retrieve bslamount as deposit amount - withdrawal amount also in Transaction tab, as it is done in Add Transaction process.
With this, opening Add Payment from both Transaction tab and Add Transaction process, will have the same behavior as it used to when opening from Add Transaction process in 16Q1 (before fixing issue 31392).

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/filterexpression/TransactionAddPaymentDefaultValues.java
M modules/org.openbravo.advpaymentmngt/web/org.openbravo.advpaymentmngt/js/ob-aprm-addPayment.js
---
(0089513)
aferraz (developer)
2016-08-29 15:30

Code review + Testing OK

- Issue History
Date Modified Username Field Change
2016-08-15 14:51 nonofrancisco Type defect => backport
2016-08-15 14:51 nonofrancisco Target Version => 3.0PR16Q2.2
2016-08-16 14:17 aferraz Target Version 3.0PR16Q2.2 => 3.0PR16Q2.3
2016-08-29 15:29 hgbot Checkin
2016-08-29 15:29 hgbot Note Added: 0089512
2016-08-29 15:29 hgbot Status scheduled => resolved
2016-08-29 15:29 hgbot Resolution open => fixed
2016-08-29 15:29 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR16Q2.3/rev/7733df065bf1a20d515216724c6cbf0f011874ec [^]
2016-08-29 15:30 aferraz Review Assigned To => aferraz
2016-08-29 15:30 aferraz Note Added: 0089513
2016-08-29 15:30 aferraz Status resolved => closed
2016-08-29 15:30 aferraz Fixed in Version => 3.0PR16Q2.3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker